<script lang="ts" setup>
import { computed } from 'vue';

const props = withDefaults(
  defineProps<{
    type: 'primary' | 'secondary' | 'ghost' | 'call';
    buttonType?: 'button' | 'submit' | 'reset' | undefined;
  }>(),
  {
    type: 'primary',
    buttonType: 'button',
  }
);

const buttonClass = computed(() => {
  return ['d-flex flex-col', 'ecl-button', `ecl-button--${props.type}`];
});
</script>

<template>
  <button :class="buttonClass" :type="buttonType">
    <span class="ecl-button__label">
      <slot />
    </span>
    <div
      v-show="$slots.icon"
      class="ml-2 ecl-button__icon ecl-button__icon--after"
      aria-hidden="true"
    >
      <slot name="icon" />
    </div>
  </button>
</template>

<style scoped lang="scss">
</style>
